> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all audit log event actions

GET https://api.getpostman.com/audit-actions

Gets a complete list of all available audit log event actions.

Reference: https://learning.postman.com/api-docs/api-reference/audit-logs/get-audit-log-event-actions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /audit-actions:
    get:
      operationId: getAuditLogEventActions
      summary: Get all audit log event actions
      description: Gets a complete list of all available audit log event actions.
      tags:
        - auditLogs
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAuditLogEventActions'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessage'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    auditLogAction:
      type: object
      properties:
        name:
          type: string
          description: The audit log event action's name.
        displayName:
          type: string
          description: >-
            The audit log event's display name as it appears in Postman's Audit
            Logs dashboard.
      description: Information about the audit log event action.
      title: auditLogAction
    getAuditLogEventActions:
      type: array
      items:
        $ref: '#/components/schemas/auditLogAction'
      description: A list of available audit log event actions.
      title: getAuditLogEventActions
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
[
  {
    "name": "user.mfa_disabled",
    "displayName": "2FA Disabled"
  },
  {
    "name": "user.mfa_enabled",
    "displayName": "2FA Enabled"
  },
  {
    "name": "user.mfa_rotate_recovery_codes",
    "displayName": "2FA Recovery Codes Rotated"
  },
  {
    "name": "user.mfa_reset",
    "displayName": "2FA Reset"
  },
  {
    "name": "user.apikey_activate",
    "displayName": "Activated API Key"
  },
  {
    "name": "team.scimkey_activate",
    "displayName": "Activated SCIM Key"
  },
  {
    "name": "team.add_partnership_member",
    "displayName": "Add Partnership Member"
  },
  {
    "name": "team.add_credits",
    "displayName": "Added Credits"
  },
  {
    "name": "team.custom_token.create",
    "displayName": "Added Custom Alert"
  },
  {
    "name": "team.add_domain",
    "displayName": "Added Domain"
  },
  {
    "name": "team.add_group_manager",
    "displayName": "Added group manager"
  },
  {
    "name": "team.add_group_member",
    "displayName": "Added Group Member"
  },
  {
    "name": "team.add_group_role",
    "displayName": "Added Group Role"
  },
  {
    "name": "team.add_member",
    "displayName": "Added Member"
  },
  {
    "name": "team.domain_capture_add_user",
    "displayName": "Added member"
  }
]
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/audit-actions"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/audit-actions';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/audit-actions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/audit-actions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/audit-actions")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/audit-actions', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/audit-actions");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/audit-actions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```